[Overview][Constants][Types][Classes][Index] | Reference for unit 'IBConnection' (#fcl)

# EIBDatabaseError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Firebird/Interbase database error

## Declaration

Source position: ibconnection.pp line 29

`type EIBDatabaseError = class(EDatabaseError)`
`public`
`GDSErrorCode: LongInt;` |  | Firebird/Interbase GDS error code.
`end;`

## Inheritance

`EIBDatabaseError` |  | Firebird/Interbase database error
`EDatabaseError` |  | Base class for all database-related errors
`Exception`
`TObject`

## Description

Firebird/Interbase database error, a descendant of db.EDatabaseError.

## See also

db.EDatabaseError |  | Base class for all database-related errors

Documentation generated on: Feb 26 2014